# Type Alias WidgetSliderContent

type WidgetSliderContent = {
autoplay?: number | boolean;
css?: Record<string, string | number>;
delay?: number;
loop?: boolean;
maxWidth?: number;
slides?: WidgetCoverSlide[];
startAt?: number;
useDots?: boolean;
}

- Defined in jamespot-user-api/src/types/widgets/widgetSlider.ts:29

##### Index

### Properties

autoplay?
css?
delay?
loop?
maxWidth?
slides?
startAt?
useDots?

## Properties

### `Optional` autoplay

autoplay?: number | boolean

- Defined in jamespot-user-api/src/types/widgets/widgetSlider.ts:33

### `Optional` css

css?: Record<string, string | number>

- Defined in jamespot-user-api/src/types/widgets/widgetSlider.ts:37

### `Optional` delay

delay?: number

- Defined in jamespot-user-api/src/types/widgets/widgetSlider.ts:34

### `Optional` loop

loop?: boolean

- Defined in jamespot-user-api/src/types/widgets/widgetSlider.ts:32

### `Optional` maxWidth

maxWidth?: number

- Defined in jamespot-user-api/src/types/widgets/widgetSlider.ts:31

### `Optional` slides

slides?: WidgetCoverSlide[]

- Defined in jamespot-user-api/src/types/widgets/widgetSlider.ts:30

### `Optional` startAt

startAt?: number

- Defined in jamespot-user-api/src/types/widgets/widgetSlider.ts:36

### `Optional` useDots

useDots?: boolean

- Defined in jamespot-user-api/src/types/widgets/widgetSlider.ts:35